/* -*- C -*-
 * Spamtest connection library
 * File: heap.h
 *      (C)  Alex Tutubalin <lexa@lexa.ru>
 *	Apr-May 2003
 *
 * Created: Wed Apr 23 22:08:08 2003
 */
#ifndef _HEAP_H
#define _HEAP_H

#include <sys/types.h>

typedef size_t                 heap_offset;

typedef struct __msg_heap_t
{
    char *data;
    size_t _used;
    size_t _alloc;
    struct __msg_heap_t *next;
} msg_heap_t;

void heap_free(msg_heap_t *heap);
msg_heap_t *heap_init(size_t initsize);

void* heap_alloc(msg_heap_t *heap, unsigned int);
void* heap_allocz(msg_heap_t *heap, unsigned int);
void *heap_realloc(msg_heap_t *heap,const void *oldp, unsigned int oldsz, unsigned int newsz);
void *heap_reallocz(msg_heap_t *heap,const void *oldp, unsigned int oldsz, unsigned int newsz);

/* add string to heap */
void *heap_strdup(msg_heap_t *heap, const char *str);
void *heap_strdupn(msg_heap_t *heap, const char *p,unsigned int len);
char *heap_pstrcat(msg_heap_t* heap,...);



#endif

