/* -*- C -*-
 * File: kas_internal.h
 *
 * Created: Sat Oct  2 09:45:28 2004
 */

#ifndef __KAS_INTERNAL_H

#define __KAS_INTERNAL_H

#define     __KASerrNODATA -1000
#define     __KASerrINCORRECT_PROTOCOL -1001
#define     __KASerrTIMEOUT -1002
#define KAS_MAGIC 0x189a45bc




#define MAX_RECORD_LEN	2048
/* record types */
#define REC_TYPE_SIZE	'C'		/* first record, created by cleanup */
#define REC_TYPE_TIME	'T'		/* time stamp, required */
#define REC_TYPE_FULL	'F'		/* full name, optional */
#define REC_TYPE_INSP	'I'		/* inspector transport */
#define REC_TYPE_FILT	'L'		/* loop filter transport */
#define REC_TYPE_FROM	'S'		/* sender, required */
#define REC_TYPE_DONE	'D'		/* delivered recipient, optional */
#define REC_TYPE_RCPT	'R'		/* todo recipient, optional */
#define REC_TYPE_ORCP	'O'		/* original recipient, optional */
#define REC_TYPE_WARN	'W'		/* warning message time */
#define REC_TYPE_ATTR	'A'		/* named attribute for extensions */
#define REC_TYPE_MESG	'M'		/* start message records */
#define REC_TYPE_CONT	'L'		/* long data record */
#define REC_TYPE_NORM	'N'		/* normal data record */
#define REC_TYPE_XTRA	'X'		/* start extracted records */
#define REC_TYPE_RRTO	'r'		/* return-receipt, from headers */
#define REC_TYPE_ERTO	'e'		/* errors-to, from headers */
#define REC_TYPE_PRIO	'P'		/* priority */
#define REC_TYPE_VERP	'V'		/* VERP delimiters */
#define REC_TYPE_END	'E'		/* terminator, required */

/* New record types */
#define REC_TYPE_BLOCKFIN	'Y'		/* block end */
#define REC_TYPE_ACTION		'Z'		/* action block */

#define REC_TYPE_SIZE_FORMAT	"%15ld %15ld %15ld"	/* size/count
							 * format */
#endif
