/* -*- C -*-
 * Spamtest connection library
 * File: rec_types.h
 *      (C)  Alex Tutubalin <lexa@lexa.ru>
 *	Apr-May 2003
 *
 * Created: Wed Apr 23 22:08:08 2003
 */

#ifndef _REC_TYPES_H
#define _REC_TYPES_H
/* from pfx_mail_stream.cpp */

#ifndef MASTER_STAT_TAKEN

#define MASTER_STATUS_FD   5
#define MASTER_LISTEN_FD   6
typedef struct __MASTER_STATUS MASTER_STATUS;
struct __MASTER_STATUS {
    int pid;
    int avail;
};

#endif  /* MASTER_STAT_TAKEN */


/*
 * From global/rec_types.h
 */

#ifndef REC_TYPE_SIZE 

/* max postfix record len */
#define MAX_RECORD_LEN	2048
/* record types */
#define REC_TYPE_SIZE	'C'		/* first record, created by cleanup */
#define REC_TYPE_TIME	'T'		/* time stamp, required */
#define REC_TYPE_FULL	'F'		/* full name, optional */
#define REC_TYPE_INSP	'I'		/* inspector transport */
#define REC_TYPE_FILT	'L'		/* loop filter transport */
#define REC_TYPE_FROM	'S'		/* sender, required */
#define REC_TYPE_DONE	'D'		/* delivered recipient, optional */
#define REC_TYPE_RCPT	'R'		/* todo recipient, optional */
#define REC_TYPE_ORCP	'O'		/* original recipient, optional */
#define REC_TYPE_WARN	'W'		/* warning message time */
#define REC_TYPE_ATTR	'A'		/* named attribute for extensions */

#define REC_TYPE_MESG	'M'		/* start message records */

#define REC_TYPE_CONT	'L'		/* long data record */
#define REC_TYPE_NORM	'N'		/* normal data record */

#define REC_TYPE_XTRA	'X'		/* start extracted records */

#define REC_TYPE_RRTO	'r'		/* return-receipt, from headers */
#define REC_TYPE_ERTO	'e'		/* errors-to, from headers */
#define REC_TYPE_PRIO	'P'		/* priority */
#define REC_TYPE_VERP	'V'		/* VERP delimiters */

#define REC_TYPE_END	'E'		/* terminator, required */

/* New record types */
#define REC_TYPE_BLOCKFIN	'Y'		/* block end */
#define REC_TYPE_ACTION		'Z'		/* block end */

/* format of cleanup record */
#define REC_TYPE_SIZE_FORMAT	"%15ld %15ld %15ld"	/* size/count
							 * format */

/* xstatus values */
#define XSTATUS_ACCEPT		0
#define XSTATUS_ERROR		1
#define XSTATUS_REJECT		8
#define XSTATUS_BLACKHOLE	16


#endif /* REC_TYPE_SIZE */
#endif
